Package org.spongepowered.asm.mixin.injection.points

## Enum BeforeInvoke.SearchType

- java.lang.Object
- - java.lang.Enum<BeforeInvoke.SearchType>
  - - org.spongepowered.asm.mixin.injection.points.BeforeInvoke.SearchType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<BeforeInvoke.SearchType>`
  Enclosing class:
    BeforeInvoke

      public static enum BeforeInvoke.SearchType
      extends java.lang.Enum<BeforeInvoke.SearchType>

  Member search type, the `PERMISSIVE` search is only used when refmap remapping is enabled.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PERMISSIVE` |
    `STRICT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BeforeInvoke.SearchType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static BeforeInvoke.SearchType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRICT

          public static final BeforeInvoke.SearchType STRICT

    - #### PERMISSIVE

          public static final BeforeInvoke.SearchType PERMISSIVE

  - ### Method Detail

    - #### values

          public static BeforeInvoke.SearchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BeforeInvoke.SearchType c : BeforeInvoke.SearchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BeforeInvoke.SearchType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null